=== manual-fr/Makefile ===
#
#
#  Makefile for LaTeX  
#
# To build everything do
#    make tex
#    make links
#    make all
#    make web
#    make html
#    make pdf
#
# or simply
#
#    make
#

IMAGES=../images

#  bacula  -- special case below
#  running -- special case below

#
# Note, these are all parts of the manual not in any
#  particular order (mostly alphabetic). The order they
#  appear in the manual is defined in bacula.tex
#
MANUAL = \
   autochangers bootstrap bugs catalog \
   catmaintenance configure consoleconf console critical \
   daemonprotocol dirdconf director disk faq filedconf file \
   firewalls gpl install internaldb kaboom lesser \
   license messagesres monitorconf mysql oldfileset pools \
   porting postgresql progs projects quickstart recycling \
   regression rescuefloppy rescue restore rpm-faq \
   security spooling sqlite state storage \
   storedconf strategies stunnel \
   requirements supportedoses supporteddrives tapetesting \
   thanks tips vars verify win32 \
   daemonprotocol gui-interface \
   supportedchangers \
   md5 mediaformat mempool netprotocol porting smartall


first_rule: bacula

bacula: tex web html dvipdf

.SUFFIXES:     .tex .html
.PHONY:
.DONTCARE:


tex:
	@cp -fp ${IMAGES}/hires/*.eps .
	@touch baculai-dir.tex baculai-fd.tex baculai-sd.tex \
	     baculai-console.tex baculai-general.tex
	-latex -interaction=batchmode bacula.tex
	makeindex bacula.idx -o bacula.ind 2>/dev/null
	makeindex bacula.ddx -o bacula.dnd >/dev/null 2>/dev/null
	makeindex bacula.fdx -o bacula.fnd >/dev/null 2>/dev/null
	makeindex bacula.sdx -o bacula.snd >/dev/null 2>/dev/null
	makeindex bacula.cdx -o bacula.cnd >/dev/null 2>/dev/null
	-latex -interaction=batchmode bacula.tex
	@rm -f *.eps *.old


pdf:
	@echo "Making pdfm"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdfm -p a4 bacula.dvi
# Rename for loading on Web site
	mv bacula.pdf dev-bacula.pdf
	@rm -f *.eps *.old

dvipdf:
	@echo "Making dvi to pdf"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdf bacula.dvi bacula.pdf
	@rm -f *.eps *.old

html:
	@echo "Making html"
#    If you turn on the following, it aborts after a "make clean"
#	@./translate_images.pl --from_meaningful_names bacula.html
	@cp -fp ${IMAGES}/*.eps .
	latex2html -white -no_subdir -split 0 -toc_stars -white -notransparent \
		-init_file latex2html-init.pl bacula >/dev/null
	@echo
	@./translate_images.pl --to_meaningful_names bacula.html
	@rm -f *.eps *.gif *.jpg

web:
	@echo "Making web"
	@mkdir -p bacula
	@cp -f imagename_translations bacula
#    If you turn on the following, it aborts after a "make clean"
#	@./translate_images.pl --from_meaningful_names bacula/Bacula_Users_Guide.html
	@rm -rf bacula/*.html
	@cp -fp ${IMAGES}/*.eps .
	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
	@cp -fp ${IMAGES}/*.eps *.txt bacula
	@rm -f bacula/next.eps bacula/next.png bacula/prev.eps bacula/prev.png bacula/up.eps bacula/up.png
	latex2html -split 4 -local_icons -t "Bacula User's Guide" -long_titles 4 \
		-toc_stars -contents_in_nav -init_file latex2html-init.pl -white -notransparent bacula >/dev/null
	@echo
	@./translate_images.pl --to_meaningful_names bacula/Bacula_Users_Guide.html
	@cp -f bacula/Bacula_Freque_Asked_Questi.html bacula/faq.html 
	@rm -f *.eps *.gif *.jpg bacula/*.eps *.old

texcheck:
	./check_tex.pl bacula.tex

main_configs:
	pic2graph -density 100 <main_configs.pic >main_configs.png

clean:
	@rm -f 1 2 3
	@rm -f *.png *.gif *.jpg *.eps
	@rm -f *.pdf *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.html *.backup *.pdf *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f baculai-dir.tex baculai-fd.tex baculai-sd.tex \
	     baculai-console.tex baculai-general.tex images.tex


distclean:
	@rm -f 1 2 3 *.tex~
	@rm -f *.gif *.jpg *.eps
	@rm -f *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f	*.backup *.pdf *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd imagename_translations
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f images.pl labels.pl internals.pl
	@rm -f baculai-dir.tex baculai-fd.tex baculai-sd.tex \
	     baculai-console.tex baculai-general.tex images.tex
