## bacula-doc 2.0.3

=== images/Makefile ===
--- 
+++ 
@@ -1,7 +1,11 @@
 #
 #
+#  All the base Bacula images are .png.  They can start out
+#   as jpeg, gif, ... but we convert them to .png then
+#   operate on them from there.  For example, we need them
+#   in eps and pdf format for some of the output.
+#
 #  Makefile for converting images from png to pdf
-#
 #
 # If you don't like the scaling of an image, change it in the
 # image_scales file.  This is the file where image_convert.pl
@@ -12,7 +16,7 @@
 # image_scales file and do 'make converteps'.
 #
 
-# png images
+# Base png images
 IMAGES =  bacula-applications \
 	  bacula-objects \
 	  Bacula-tray-monitor \
@@ -20,8 +24,12 @@
 	  bimagemgr2 \
 	  bimagemgr3 \
 	  Conf-Diagram \
+	  win32-config \
 	  win32-finish \
+	  win32-installation-type \
+	  win32-installing \
 	  win32-location \
+	  win32-menu \
 	  win32-nsis \
 	  win32-pkg \
 	  win32-service-ok \
@@ -58,7 +66,7 @@
 #	  xp-windows-firewall
 
 
-# jpg images
+# jpg images 
 JPGIMAGES = xp-control-panel \
 	  xp-windows-firewall-advanced \
 	  xp-windows-firewall-advanced-settings-after \
@@ -98,6 +106,7 @@
 
 # Convert any png images to eps (for LaTeX)
 converteps:
+	chmod 755 image_convert.pl
 	(for i in ${IMAGES} ; do \
 	   pngtopnm $${i}.png | pnmtops -scale=0.65 --noturn -nosetpage >$${i}.eps; \
 	   ./image_convert.pl --scalefile=image_scales --defaultscale=0.65 --resolution=140 --maxx=5 --maxy=8 $${i}.png hires/$${i}.eps; \
