## bacula-doc 2.2.5

=== Makefile ===
#
# $Id: Makefile.in 2549 2005-11-05 22:11:40Z kerns $
#

# autoconf/Make.common.in        -*- Makefile -*-
# release date (man), LSM date, version number/name, current maintainer
DATE="09 October 2007"
LSMDATE=@LSMDATE@
VERSION=2.2.5
VERNAME=bacula-$(VERSION)#
MAINT=Kern Sibbald#
MAINTEMAIL=<kern@sibbald.com>#
#-------------------------------------------------------------------------

SHELL = /bin/sh

# Installation target directories & other installation stuff
prefix = /usr/local
exec_prefix = ${prefix}
binprefix =
manprefix =
sbindir = ${exec_prefix}/sbin
sysconfdir = ${prefix}/etc
scriptdir = @scriptdir@
mandir = ${prefix}/man/man1
manext = 1

# Tools & program stuff
MV = /bin/mv
RM = /bin/rm
RMF = /bin/rm -f
CP = /bin/cp
SED = @SED@
AWK = /usr/bin/gawk
ECHO = /bin/echo
CMP = @CMP@
INSTALL = /usr/bin/install -c
# add the -s to the following in PRODUCTION mode
INSTALL_PROGRAM = /usr/bin/install -c -m @SBINPERM@
INSTALL_DATA = /usr/bin/install -c -m 644
INSTALL_SCRIPT = /usr/bin/install -c -m @SBINPERM@
INSTALL_CONFIG = /usr/bin/install -c -m 640


# End of common section of the Makefile
#-------------------------------------------------------------------------

srcdir =	.

.PATH:		.
BACULASRC =	/home/kern/bacula/Release-2.2.5/bacula-2.2.5

basedir = ..
topdir = ..
thisdir = doc

#
# Distribution variables
#


DIST	  = Makefile.in

#-------------------------------------------------------------------------

all:
	(cd manual; make)
	(cd developers; make)
	(cd bacula-web; make)


configure: autoconf/configure.in autoconf/aclocal.m4 autoconf/acconfig.h autoconf/config.h.in
	cd $(srcdir);
	${RMF} -f config.cache config.log config.out config.status src/config.h
	autoconf --prepend-include=$(srcdir)/autoconf \
	autoconf/configure.in > configure
	chmod 755 configure

Makefile: Makefile.in
	cd $(topdir) \
	    && CONFIG_FILES=$(thisdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

Makefiles:
	$(SHELL) config.status


SEDREPLACE = -e 's%@BACULA_VERSION@%$(VERSION)%g;'\
	     -e 's%@BACULA_LSMDATE@%$(LSMDATE)%g;'\
	     -e 's%@BACULA_DATE@%$(DATE)%g;'\
	     -e 's%@BACULA_MAINTEMAIL@%$(MAINTEMAIL)%g;'\
	     -e 's%@BACULA_MAINT@%$(MAINT)%g;'\
	     -e 's%@BACULA_WEBPAGE@%$(WEBPAGE)%g;'\
	     -e 's%@BACULA_WEBMAINTEMAIL@%$(WEBMAINTEMAIL)%g;'\
	     -e 's%@BACULA_WEBMAINT@%$(WEBMAINT)%g;'\
	     -e 's%@BACULA_FTPSITENAME@%$(FTPSITENAME)%g;'\
	     -e 's%@BACULA_FTPSITEDIR@%$(FTPSITEDIR)%g;'


$(basedir)/$(VERNAME).lsm: LSM.in $(srcdir)/../autoconf/Make.common.in $(srcdir)/../src/version.h
	$(SED) $(SEDREPLACE) < $(srcdir)/LSM.in > $@

clean:
	$(RMF) *~ 1 2 3 bacula-doc*.tar.gz
	(cd manual; make clean)
	(cd manual-de; make clean)
	(cd manual-fr; make clean)
	(cd bacula-web; make clean)

realclean: clean

distclean:
	$(RMF) Makefile
	$(RMF) -r CVS html-manual/CVS home-page/CVS techlogs/CVS
	$(RMF) -rf autom4te.cache bacula-doc-* config.log config.out
	$(RMF) -f config.status kernsconfig
	(cd manual; make distclean)
	(cd manual-de; make distclean)
	(cd manual-fr; make distclean)
	(cd bacula-web; make distclean)


devclean:
	$(RMF) Makefile

depend:

install:
#	$(INSTALL_DATA) bacula.1 $(DESTDIR)$(mandir)/$(manprefix)bacula.$(manext)

uninstall:
#	-cd $(mandir); $(RMF) $(manprefix)bacula.$(manext)
