=== developers/Makefile ===
#
#
#  Makefile for LaTeX  
#
# To build everything do
#    make tex
#    make web
#    make html
#    make dvipdf
#
# or simply
#
#    make
#

IMAGES=../images

first_rule: bacula

bacula: tex web html dvipdf

.SUFFIXES:     .tex .html
.PHONY:
.DONTCARE:


tex:
	@cp -fp ${IMAGES}/hires/*.eps .
	touch developers.idx developersi-general.tex
	-latex -interaction=batchmode developers.tex
	makeindex developers.idx >/dev/null 2>/dev/null
	-latex -interaction=batchmode developers.tex
	@rm -f *.eps *.old

pdf:
	@echo "Making developers pdf"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdf developers.dvi developers.pdf
	@rm -f *.eps *.old

dvipdf:
	@echo "Making developers pdfm"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdfm -p a4 developers.dvi
	@rm -f *.eps *.old

html:
	@echo "Making developers html"
	@cp -fp ${IMAGES}/*.eps .
	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
	@(if [ -f imagename_translations ] ; then \
	    ./translate_images.pl --from_meaningful_names developers.html; \
	 fi)
	latex2html -white -no_subdir -split 0 -toc_stars -white -notransparent \
		developers >/dev/null
	./translate_images.pl --to_meaningful_names developers.html
	@rm -f *.eps *.gif *.jpg *.old

web:
	@echo "Making developers web"
	@mkdir -p developers
	@rm -f developers/*
	@cp -fp ${IMAGES}/*.eps .
	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
	@cp -fp ${IMAGES}/*.eps ${IMAGES}/*.png developers/
	@rm -f developers/next.eps developers/next.png developers/prev.eps developers/prev.png developers/up.eps developers/up.png
	@(if [ -f developers/imagename_translations ] ; then \
	   ./translate_images.pl --to_meaningful_names developers/Bacula_Users_Guide.html; \
	 fi)
	@rm -rf developers/*.html
	latex2html -split 4 -local_icons -t "Developer's Guide" -long_titles 4 \
		-contents_in_nav -toc_stars -white -notransparent developers >/dev/null
	./translate_images.pl --to_meaningful_names developers/Developers_Guide.html
	@cp -f developers/Developers_Guide.html developers/index.html
	@rm -f *.eps *.gif *.jpg developers/*.eps  *.old 
	@rm -f developers/idle.png
	@rm -f developers/win32-*.png developers/wx-console*.png developers/xp-*.png
	@rm -f developers/*.pl developers/*.log developers/*.aux developers/*.idx
	@rm -f developers/*.out WARNINGS

texcheck:
	./check_tex.pl developers.tex

main_configs:
	pic2graph -density 100 <main_configs.pic >main_configs.png

clean:
	@rm -f 1 2 3
	@rm -f *.png *.gif *.jpg *.eps
	@rm -f *.pdf *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.html *.backup *.pdf *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd imagename_translations
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f images.pl labels.pl internals.pl
	@rm -rf developers
	@rm -f images.tex developersi.tex


distclean:  clean
	@rm -f developers.html developers.pdf
