=== images/Makefile ===
--- 
+++ 
@@ -17,46 +17,60 @@
 #
 
 # Base png images
-IMAGES =  bacula-applications \
-	  bacula-objects \
-	  Bacula-tray-monitor \
-	  bimagemgr1 \
-	  bimagemgr2 \
-	  bimagemgr3 \
-	  Conf-Diagram \
-	  win32-config \
-	  win32-finish \
-	  win32-installation-type \
-	  win32-installing \
-	  win32-location \
-	  win32-menu \
-	  win32-nsis \
-	  win32-pkg \
-	  win32-service-ok \
-	  win32-service \
-	  win32-start \
-	  win32-welcome \
-	  access-is-denied \
-	  confirm \
-	  flow \
-	  menu \
-	  philosophical-gnu-sm \
-	  properties-security-advanced-owner \
-	  properties-security \
-	  tray-icon \
-	  view-only \
-	  back \
-	  bacula-logo \
-	  bclogo \
-	  error \
-	  file \
-	  home \
-	  idle \
-	  md5 \
-	  next \
-	  running \
-	  smartall \
-	  thanks
+IMAGES =  \
+      access-is-denied \
+      back \
+      bacula-applications \
+      bacula-logo \
+      bacula-objects \
+      Bacula-tray-monitor \
+      bat_icon \
+      bclogo \
+      bimagemgr1 \
+      bimagemgr2 \
+      bimagemgr3 \
+      bweb-index \
+      bweb-report \
+      Conf-Diagram \
+      confirm \
+      error \
+      file \
+      flow \
+      home \
+      idle \
+      md5 \
+      menu \
+      next \
+      philosophical-gnu-sm \
+      prev \
+      properties-security-advanced-owner \
+      properties-security \
+      running \
+      smartall \
+      thanks \
+      tray-icon \
+      up \
+      view-only \
+      win32-config \
+      win32-finish \
+      win32-installation-type \
+      win32-installing \
+      win32-location \
+      win32-menu \
+      win32-nsis \
+      win32-pkg \
+      win32-service-ok \
+      win32-service \
+      win32-start \
+      win32-welcome \
+      wx-console-restore1 \
+      wx-console-restore2 \
+      xp-control-panel \
+      xp-windows-firewall-advanced \
+      xp-windows-firewall-advanced-settings-after \
+      xp-windows-firewall-advanced-settings-before \
+      xp-windows-firewall-advanced-settings-service-details \
+      xp-windows-firewall
 
 #	  xp-control-panel  
 #	  xp-windows-firewall-advanced \
@@ -88,7 +102,8 @@
 	    smartall \
 	    thanks  
 
-
+TIFIMAGES = \
+	  ba-ca-logo 
 
 
 first_rule: all
@@ -96,7 +111,7 @@
 .SUFFIXES:     .texi .html .pdf
 .PHONY:
 
-all:	convert
+all:	convertpdf converteps
 
 # Convert png images to pdf (texinfo needs both)
 convertpdf:	  
@@ -123,6 +138,11 @@
 	(for i in ${GIFIMAGES} ; do \
 	   giftopnm $${i}.gif | pnmtopng >$${i}.png ; \
 	 done)
+
+converttif:
+	(for i in ${TIFIMAGES} ; do \
+	   convert -geometry 250x $${i}.tif $${i}.png ; \
+	 done)
  
 clean:
 	@rm -f 1 2 3
