=== manual-de/Makefile ===
--- 
+++ 
@@ -16,12 +16,29 @@
 #    make tex
 #    make show
 #
+#
+# If you are having problems getting "make" to work, debugging it is
+#  easier if can see the output from latex, which is normally redirected
+#  to /dev/null.  To see it, do the following:
+#
+#   cd docs/manual
+#   make tex
+#   latex bacula.tex
+#
+#  typically the latex command will stop indicating the error (e.g. a
+#  missing \ in front of a _ or a missing { or ] ...
+#
+#  The following characters must be preceded by a backslash
+#    to be entered as printable characters:
+# 
+#    # $ % & ~ _ ^ \ { }
+#
 
 IMAGES=../images
 
 first_rule: bacula
 
-bacula: tex web html dvipdf mini-clean
+bacula: tex web dvipdf mini-clean
 
 .SUFFIXES:     .tex .html
 .PHONY:
@@ -34,23 +51,26 @@
 	@cp -fp ${IMAGES}/hires/*.eps .
 	@touch baculai-dir.tex baculai-fd.tex baculai-sd.tex \
 	     baculai-console.tex baculai-general.tex
-	-latex -interaction=batchmode bacula.tex
+	latex -interaction=batchmode bacula.tex
 	makeindex bacula.idx -o bacula.ind 2>/dev/null
 	makeindex bacula.ddx -o bacula.dnd >/dev/null 2>/dev/null
 	makeindex bacula.fdx -o bacula.fnd >/dev/null 2>/dev/null
 	makeindex bacula.sdx -o bacula.snd >/dev/null 2>/dev/null
 	makeindex bacula.cdx -o bacula.cnd >/dev/null 2>/dev/null
-	-latex -interaction=batchmode bacula.tex
+	latex -interaction=batchmode bacula.tex
+	latex -interaction=batchmode bimagemgr.tex
 
 pdf:
 	@echo "Making pdfm"
 	@cp -fp ${IMAGES}/hires/*.eps .
 	dvipdfm -p a4 bacula.dvi
+	dvipdfm -p a4 bimagemgr.dvi
 
 dvipdf:
 	@echo "Making dvi to pdf"
 	@cp -fp ${IMAGES}/hires/*.eps .
 	dvipdf bacula.dvi bacula.pdf
+	dvipdf bimagemgr.dvi bimagemgr.pdf
 
 html:
 	@echo " "
@@ -70,15 +90,15 @@
 	@mkdir -p bacula
 	@cp -fp ${IMAGES}/*.eps .
 	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
-	@cp -fp ${IMAGES}/*.eps *.txt bacula
-	@cp -fp ${IMAGES}/*.eps *.txt ${IMAGES}/*.png bacula
+	@cp -fp ${IMAGES}/*.eps *.txt bacula/
+	@cp -fp ${IMAGES}/*.eps *.txt ${IMAGES}/*.png bacula/
 	@rm -f bacula/xp-*.png
 	@rm -f bacula/next.eps bacula/next.png bacula/prev.eps bacula/prev.png bacula/up.eps bacula/up.png
 	@rm -rf bacula/*.html
-	latex2html -split 4 -local_icons -t "Bacula User's Guide" -long_titles 4 \
+	latex2html -split 3 -local_icons -t "Bacula User's Guide" -long_titles 4 \
 		-toc_stars -contents_in_nav -init_file latex2html-init.pl -white -notransparent bacula >tex.out 2>&1
 	./translate_images.pl --to_meaningful_names bacula/Bacula_Users_Guide.html
-	cp -f bacula/Bacula_Freque_Asked_Questi.html bacula/faq.html 
+	-cp -f bacula/Bacula_Freque_Asked_Questi.html bacula/faq.html 
 	@echo "Done making web"
 show:
 	xdvi bacula
