## bacula-doc 2.4.0

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 # autoconf/Make.common.in        -*- Makefile -*-
 # release date (man), LSM date, version number/name, current maintainer
-DATE="09 October 2007"
+DATE="04 June 2008"
 LSMDATE=@LSMDATE@
-VERSION=2.2.5
+VERSION=2.4.0
 VERNAME=bacula-$(VERSION)#
 MAINT=Kern Sibbald#
 MAINTEMAIL=<kern@sibbald.com>#
@@ -31,7 +31,7 @@
 RMF = /bin/rm -f
 CP = /bin/cp
 SED = @SED@
-AWK = /usr/bin/gawk
+AWK = /usr/bin/mawk
 ECHO = /bin/echo
 CMP = @CMP@
 INSTALL = /usr/bin/install -c
@@ -48,7 +48,7 @@
 srcdir =	.
 
 .PATH:		.
-BACULASRC =	/home/kern/bacula/Release-2.2.5/bacula-2.2.5
+BACULASRC =	/home/kern/bacula/Release-2.4.0/bacula-2.4.0
 
 basedir = ..
 topdir = ..
