## bacula-doc 2.4.4

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 # autoconf/Make.common.in        -*- Makefile -*-
 # release date (man), LSM date, version number/name, current maintainer
-DATE="04 June 2008"
+DATE="28 December 2008"
 LSMDATE=@LSMDATE@
-VERSION=2.4.0
+VERSION=2.4.4
 VERNAME=bacula-$(VERSION)#
 MAINT=Kern Sibbald#
 MAINTEMAIL=<kern@sibbald.com>#
@@ -48,7 +48,7 @@
 srcdir =	.
 
 .PATH:		.
-BACULASRC =	/home/kern/bacula/Release-2.4.0/bacula-2.4.0
+BACULASRC =	/home/kern/bacula/Release-2.4.4/bacula-2.4.4
 
 basedir = ..
 topdir = ..
