## bacula-doc 5.0.1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,11 @@
 #
-# $Id: Makefile.in 2549 2005-11-05 22:11:40Z kerns $
+# $Id$
 #
-
 # autoconf/Make.common.in        -*- Makefile -*-
 # release date (man), LSM date, version number/name, current maintainer
-DATE="28 December 2008"
+DATE="24 February 2010"
 LSMDATE=@LSMDATE@
-VERSION=2.4.4
+VERSION=5.0.1
 VERNAME=bacula-$(VERSION)#
 MAINT=Kern Sibbald#
 MAINTEMAIL=<kern@sibbald.com>#
@@ -22,8 +21,9 @@
 sbindir = ${exec_prefix}/sbin
 sysconfdir = ${prefix}/etc
 scriptdir = @scriptdir@
-mandir = ${prefix}/man/man1
+mandir = ${datarootdir}/man/man1
 manext = 1
+datarootdir=${prefix}/share
 
 # Tools & program stuff
 MV = /bin/mv
@@ -31,15 +31,15 @@
 RMF = /bin/rm -f
 CP = /bin/cp
 SED = @SED@
-AWK = /usr/bin/mawk
+AWK = /bin/gawk
 ECHO = /bin/echo
 CMP = @CMP@
-INSTALL = /usr/bin/install -c
+INSTALL = /bin/install -c
 # add the -s to the following in PRODUCTION mode
-INSTALL_PROGRAM = /usr/bin/install -c -m @SBINPERM@
-INSTALL_DATA = /usr/bin/install -c -m 644
-INSTALL_SCRIPT = /usr/bin/install -c -m @SBINPERM@
-INSTALL_CONFIG = /usr/bin/install -c -m 640
+INSTALL_PROGRAM = /bin/install -c -m @SBINPERM@
+INSTALL_DATA = /bin/install -c -m 644
+INSTALL_SCRIPT = /bin/install -c -m @SBINPERM@
+INSTALL_CONFIG = /bin/install -c -m 640
 
 
 # End of common section of the Makefile
@@ -48,32 +48,81 @@
 srcdir =	.
 
 .PATH:		.
-BACULASRC =	/home/kern/bacula/Release-2.4.4/bacula-2.4.4
+BACULASRC =	/tmp/bacula/bacula
 
 basedir = ..
 topdir = ..
-thisdir = doc
+thisdir = docs
 
 #
 # Distribution variables
 #
 
+de_dirs = manuals/de/console manuals/de/developers manuals/de/main \
+  manuals/de/misc manuals/de/problems manuals/de/utility
+
+
+en_dirs = manuals/en/console manuals/en/developers manuals/en/main \
+  manuals/en/misc manuals/en/problems manuals/en/utility
+
+es_dirs = manuals/es/console manuals/es/developers manuals/es/main \
+  manuals/es/misc manuals/es/problems manuals/es/utility
+
+fr_dirs = manuals/fr/console manuals/fr/developers manuals/fr/main \
+  manuals/fr/misc manuals/fr/problems manuals/fr/utility
+
+all_dirs = ${de_dirs} ${en_dirs} ${es_dirs} ${fr_dirs}
 
 DIST	  = Makefile.in
 
 #-------------------------------------------------------------------------
 
+en: all
+
 all:
-	(cd manual; make)
-	(cd developers; make)
+	@for I in ${en_dirs}; \
+	  do (cd $$I; echo "==>Entering directory `pwd`"; \
+	      $(MAKE) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
+			    echo ""; echo ""; exit 1;)); \
+	done
+	@echo "All manuals built ..."
+
+bacula-web:
 	(cd bacula-web; make)
 
+fr:	french
 
-configure: autoconf/configure.in autoconf/aclocal.m4 autoconf/acconfig.h autoconf/config.h.in
+french:
+	@for I in ${fr_dirs}; \
+	  do (cd $$I; echo "==>Entering directory `pwd`"; \
+	      $(MAKE) all || (echo ""; echo ""; echo "	====== Error in `pwd` ======"; \
+			    echo ""; echo ""; exit 1;)); \
+	done
+
+de:	german
+
+german:
+	@for I in ${de_dirs}; \
+	  do (cd $$I; echo "==>Entering directory `pwd`"; \
+	      $(MAKE) all || (echo ""; echo ""; echo "	====== Error in `pwd` ======"; \
+			    echo ""; echo ""; exit 1;)); \
+	done
+
+es:	spanish
+
+spanish:
+	@for I in ${es_dirs}; \
+	  do (cd $$I; echo "==>Entering directory `pwd`"; \
+	      $(MAKE) all || (echo ""; echo ""; echo "	====== Error in `pwd` ======"; \
+			    echo ""; echo ""; exit 1;)); \
+	done
+
+
+configure: autoconf/configure.in autoconf/aclocal.m4 autoconf/acconfig.h
 	cd $(srcdir);
 	${RMF} -f config.cache config.log config.out config.status src/config.h
 	autoconf --prepend-include=$(srcdir)/autoconf \
-	autoconf/configure.in > configure
+	    autoconf/configure.in > configure
 	chmod 755 configure
 
 Makefile: Makefile.in
@@ -101,22 +150,21 @@
 
 clean:
 	$(RMF) *~ 1 2 3 bacula-doc*.tar.gz
-	(cd manual; make clean)
-	(cd manual-de; make clean)
-	(cd manual-fr; make clean)
 	(cd bacula-web; make clean)
+	@for I in ${all_dirs}; \
+	  do (cd $$I; echo "==>Entering directory `pwd`"; ${MAKE} $@ || exit 1); done
+
 
 realclean: clean
 
-distclean:
+distclean: clean
 	$(RMF) Makefile
 	$(RMF) -r CVS html-manual/CVS home-page/CVS techlogs/CVS
 	$(RMF) -rf autom4te.cache bacula-doc-* config.log config.out
 	$(RMF) -f config.status kernsconfig
-	(cd manual; make distclean)
-	(cd manual-de; make distclean)
-	(cd manual-fr; make distclean)
 	(cd bacula-web; make distclean)
+	@for I in ${all_dirs}; \
+	  do (cd $$I; echo "==>Entering directory `pwd`"; ${MAKE} $@ || exit 1); done
 
 
 devclean:
