=== debian/changelog ===
bacula-doc (5.0.1-1) unstable; urgency=low

  * New upstream release.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 01 Mar 2010 11:32:11 -0600

bacula-doc (5.0.0-1) unstable; urgency=medium

  * New upstream release.  Closes: #380247.
  * Removed tetex build-deps, fixing FTBFS.  Closes: #562310.
  * Build all English manuals mentioned in the README.  The other
    languages are not ready for deployment.  Closes: #561686.
  * Switch to dpkg-source 3.0 (quilt) format since upstream ships a
    tar.bz2.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 09 Feb 2010 08:35:53 -0600

bacula-doc (2.4.4-1) unstable; urgency=low

  * New Upstream Version
  * Removed dep on bacula-common.  Closes: #502700.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 09 Jan 2009 14:20:07 -0600

bacula-doc (2.4.2-1) unstable; urgency=low

  * New Upstream Version

 -- John Goerzen <jgoerzen@complete.org>  Mon, 04 Aug 2008 09:40:58 -0500

bacula-doc (2.4.1-1) unstable; urgency=low

  * New Upstream Version

 -- John Goerzen <jgoerzen@complete.org>  Wed, 16 Jul 2008 13:39:54 -0500

bacula-doc (2.4.0-1) unstable; urgency=low

  * New Upstream Version

 -- John Goerzen <jgoerzen@complete.org>  Wed, 02 Jul 2008 10:10:33 -0500

bacula-doc (2.2.8-1) unstable; urgency=low

  * New upstream version.
  * Thanks to Mark Hymers for assistance with packaging 2.2.6 and 2.2.7.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 29 Dec 2007 16:02:34 +0000

bacula-doc (2.2.5-1) unstable; urgency=low

  * New upstream version.
  * Added build-dep on autoconf.  Closes: #441150.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 18 Oct 2007 13:48:28 -0500

bacula-doc (2.2.0-1) unstable; urgency=low

  * New upstream release.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 24 Aug 2007 02:12:47 -0500

bacula-doc (2.0.3-1) unstable; urgency=low

  * New upstream release

 -- John Goerzen <jgoerzen@complete.org>  Tue, 13 Mar 2007 11:36:32 -0500

bacula-doc (2.0.2-1) experimental; urgency=low

  * New upstream release.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 26 Feb 2007 05:06:26 -0600

bacula-doc (1.38.11.1-3) unstable; urgency=low

  * Now support building with texlive.  Closes: #380624.
  * Added build-dep on gs-common.  Closes: #382761.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 15 Aug 2006 09:44:08 -0500

bacula-doc (1.38.11.1-2) unstable; urgency=low

  * Fixed missing tetex build-deps.  Oops.  Closes: #379555.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 28 Jul 2006 12:59:25 -0500

bacula-doc (1.38.11.1-1) unstable; urgency=low

  * Initial release of bacula-doc package.
    Closes: #371884, #317550, #314301, #362531.
    bacula-doc used to be generated as part of the bacula source package, but
    upstream split it off since 1.36.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 30 Jun 2006 13:32:58 -0500
