## bacula-doc 5.0.2

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 #
 # autoconf/Make.common.in        -*- Makefile -*-
 # release date (man), LSM date, version number/name, current maintainer
-DATE="24 February 2010"
+DATE="28 April 2010"
 LSMDATE=@LSMDATE@
-VERSION=5.0.1
+VERSION=5.0.2
 VERNAME=bacula-$(VERSION)#
 MAINT=Kern Sibbald#
 MAINTEMAIL=<kern@sibbald.com>#
