=== images/Makefile ===
--- 
+++ 
@@ -18,6 +18,10 @@
 
 # Base png images
 IMAGES =  \
+      bat11 \
+      bat12 \
+      bat13 \
+      bat-mediaview \
       access-is-denied \
       back \
       bacula-applications \
