=== debian/changelog ===
bacula-doc (5.0.2-4) unstable; urgency=low

  [Alexander Reichle-Schmehl]
  * QA upload.
  * Update outdated autotools helper files:
   * Add dh_autotools-dev_restoreconfig to debian/rules clean target
   * Add dh_autotools-dev_updateconfig to debian/rules configure target
   * Bump build-depends on debhelper to >= 7 to have that available and add
     autotools-dev to build-depends
  * Clean config.status config.log in debian/rules clean
    * Add lintian override for that
  * Replace obsoleted call to dh_clean -k with dh_prep in debian/rules
  * Add recommended targets build-arch build-indep to debian/rules
  * Exclude techlogs/LICENSE from installation
  * Bump standards to 3.9.2 (no further changes)

  [Miguel de Val Borro]
  *  Fix "Please drop the gs-common Build-Dependency." removing dependency
     on gs-common (Closes: #649709)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 16 Dec 2011 16:33:21 +0100

bacula-doc (5.0.2-3) unstable; urgency=low

  * QA upload.
  * debian/control:
    + Remove useless dependency on ${shlibs:Depends},
    + Add dependency on ghostscript which contains dvipdf. Closes: #614534.
  * debian/rules:
    + remove some cruft
    + move stuff from binary-arch to binary-indep.
  * debian/copyright:
    + refer to licence text in /usr/share/common-licences.
    + recode to utf8
  * Rename the patch in debian/patches, remove cruft from its header.
  * Remove some debhelper templates from debian/

 -- Ralf Treinen <treinen@debian.org>  Tue, 22 Feb 2011 20:57:55 +0100

bacula-doc (5.0.2-2) unstable; urgency=low

  * Orphaning this package.  WNPP bug #612297 filed.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 07 Feb 2011 08:22:25 -0600

bacula-doc (5.0.2-1) unstable; urgency=medium

  * New upstream release.
  * urgency medium since the accompanying bacula release is urgency medium
    and I want to get docs into testing the same time as the code.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 21 Jun 2010 10:05:16 -0500
