=== debian/control ===
Source: bacula-doc
Section: doc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), autoconf, autotools-dev,
 texlive-base, texlive-latex-recommended, texlive-fonts-recommended,
 ghostscript
Standards-Version: 3.9.2

Package: bacula-doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for Bacula
 This package provides the documentation for Bacula, a backup program
 that permits you to manage backup, recovery, and verification of 
 computer data across a network of computers of different kinds.
