=== debian/rules ===
--- 
+++ 
@@ -15,68 +15,51 @@
 # This list from top-level Makefile en_dirs
 MANUALS := console developers main misc problems utility
 
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	# Add here commands to configure the package.
+	dh_autotools-dev_updateconfig
 	mkdir $(BUILDDIR)
 	tar -cSf - --exclude=./.git --exclude=./debian . | tar -xSpf - -C $(BUILDDIR)
 	cd $(BUILDDIR)/autoconf && autoconf
 	cp $(BUILDDIR)/autoconf/configure $(BUILDDIR)
 	cd $(BUILDDIR) && sh ./configure --with-bacula=$(CURDIR)/debian/fake-bacula-source
-
 	touch configure-stamp
 
-
-build: build-stamp
-
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp 
 	dh_testdir
-
-	# Add here commands to compile the package.
 	for SUBDIR in $(MANUALS) ; do \
 		cd $(BUILDDIR)/manuals/en/$$SUBDIR && $(MAKE) tex dvipdf; done
-	#docbook-to-man debian/bacula-doc.sgml > bacula-doc.1
-
 	touch $@
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-
-	# Add here commands to clean up after the build process.
 	-rm -rf $(BUILDDIR)
-
-	dh_clean 
+	dh_autotools-dev_restoreconfig
+	dh_clean config.status config.log
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
-
-	# Add here commands to install the package into debian/bacula-doc.
 	for MANUALDIR in $(MANUALS); do cp $(BUILDDIR)/manuals/en/$$MANUALDIR/*.pdf $(DOC); done
 
 # Build architecture-independent files here.
-binary-indep: build install
-# We have nothing to do by default.
+binary-arch: build install
+# We have nothing to do.
 
 # Build architecture-dependent files here.
-binary-arch: build install
+binary-indep: build install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
-	dh_installdocs
+	dh_installdocs --exclude=techlogs/LICENSE
 	dh_installexamples
 #	dh_install
 #	dh_installmenu
